Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015292
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminoralways2010-11-25 13:102011-03-04 15:18
ReporteriperdomoView Statuspublic 
Assigned Toiperdomo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionpi
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_15
OS Version2.6.30-gentoo-r5Database version8.3.8Ant version1.7.1
Product Version2.50SCM revision 
Review Assigned To
Web browser
ModulesUser Interface Client Kernel
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015292: Concatenate all static resources to make a single request

DescriptionAll static resources should be concatenated in a single file to save HTTP requests. Current approach is a GET request for each static resource.
Proposed Solution* Concatenate all static resources files in a single string
* Hash the string, the result will be used as file name
* Save the file name in web/js if the hash doesn't exist
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0015325 closediperdomo Navigation components should use the PropertyStore asynchronously 
related to feature request 00153803.0MP0 closediperdomo Remove tomcat's Expires filter 

-  Notes
(0032854)
hgbot (developer)
2010-11-25 16:30

Repository: erp/mods/org.openbravo.client.kernel
Changeset: 6818f6bcba69b99d25e5325d0c1de9ec67cd8793
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Nov 25 16:27:46 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.kernel/rev/6818f6bcba69b99d25e5325d0c1de9ec67cd8793 [^]

Issue 15292: Static resources are read and concatenated
- Changed compression tool from JSMin to Closure compiler
- The static resources are read (.js files) and generated if is a component
    and concatenated together.
- If the module is in development the resources are jslinted
- If the module is not in development the resources are minimized
- The whole big string is 'hashed' and used a file name

---
M src/org/openbravo/client/kernel/BaseComponent.java
M src/org/openbravo/client/kernel/ComponentGenerator.java
M src/org/openbravo/client/kernel/JSCompressor.java
M src/org/openbravo/client/kernel/KernelComponentProvider.java
M src/org/openbravo/client/kernel/KernelConstants.java
M src/org/openbravo/client/kernel/KernelServlet.java
M src/org/openbravo/client/kernel/KernelUtils.java
M src/org/openbravo/client/kernel/StaticResourceComponent.java
A lib/runtime/compiler-20100917.jar
R lib/runtime/jsmin.0.2.4.jar
---
(0032855)
hgbot (developer)
2010-11-25 16:32

Repository: erp/mods/org.openbravo.userinterface.smartclient
Changeset: 356bcf8b69343325ba492fc801b850a167d20fc6
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Nov 25 16:30:34 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient/rev/356bcf8b69343325ba492fc801b850a167d20fc6 [^]

Issue 15292: Removed ISC_Combined from static resources
- Removed the ISC_Combined.js from static resources. Is loaded from the
    index.html
- Changed the path of the load skin code
- Removed commented code

---
M src/org/openbravo/userinterface/smartclient/SmartClientComponentProvider.java
---
(0032856)
hgbot (developer)
2010-11-25 16:35

Repository: erp/mods/org.openbravo.client.application
Changeset: 38a6ab786f488932dcd7ab4585757400ac558cc6
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Nov 25 16:33:28 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application/rev/38a6ab786f488932dcd7ab4585757400ac558cc6 [^]

Issue 15292: Updated code for static resources, fixes 'goto' as variable name
- Updated the application code to use the new static resources
- goto is a reserved word, it shouldn't be used as variable name
- Updated index.html to load ISC_Combined.js plus the spinner when loading
    static resources

---
M src/org/openbravo/client/application/ApplicationComponentProvider.java
M src/org/openbravo/client/application/navigationbarcomponents/templates/application-menu.js.ftl
M web/org.openbravo.client.application/index.html
---
(0032857)
hgbot (developer)
2010-11-25 16:37

Repository: erp/mods/org.openbravo.client.myob
Changeset: e7d636648f5bc884ff69162b4acb2c28003e3947
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Nov 25 16:35:06 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.myob/rev/e7d636648f5bc884ff69162b4acb2c28003e3947 [^]

Issue 15292: Updated static resources to use new code
- Updated component provider to use new code
- Fixes CSS file. Wrong definition of black color

---
M src/org/openbravo/client/myob/MyOpenbravoComponentProvider.java
M web/org.openbravo.userinterface.smartclient/openbravo/skins/3.00/org.openbravo.client.myob/ob-widget-styles.css
---
(0032894)
hgbot (developer)
2010-11-26 21:52

Repository: erp/mods/org.openbravo.client.application
Changeset: f6b07a20ce46fd61d81d9a3c6805f3f293c3d8a6
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Nov 26 21:52:23 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application/rev/f6b07a20ce46fd61d81d9a3c6805f3f293c3d8a6 [^]

Issue 15292: showEdges triggers JS error in IE

---
M web/org.openbravo.client.application/index.html
---
(0032999)
mtaal (developer)
2010-12-02 10:57

Reviewed
(0034565)
hgbot (developer)
2011-03-04 15:18

Repository: erp/mods/org.openbravo.client.kernel
Changeset: 6818f6bcba69b99d25e5325d0c1de9ec67cd8793
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Nov 25 16:27:46 2010 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.kernel/rev/6818f6bcba69b99d25e5325d0c1de9ec67cd8793 [^]

Issue 15292: Static resources are read and concatenated
- Changed compression tool from JSMin to Closure compiler
- The static resources are read (.js files) and generated if is a component
    and concatenated together.
- If the module is in development the resources are jslinted
- If the module is not in development the resources are minimized
- The whole big string is 'hashed' and used a file name

---
M src/org/openbravo/client/kernel/BaseComponent.java
M src/org/openbravo/client/kernel/ComponentGenerator.java
M src/org/openbravo/client/kernel/JSCompressor.java
M src/org/openbravo/client/kernel/KernelComponentProvider.java
M src/org/openbravo/client/kernel/KernelConstants.java
M src/org/openbravo/client/kernel/KernelServlet.java
M src/org/openbravo/client/kernel/KernelUtils.java
M src/org/openbravo/client/kernel/StaticResourceComponent.java
A lib/runtime/compiler-20100917.jar
R lib/runtime/jsmin.0.2.4.jar
---

- Issue History
Date Modified Username Field Change
2010-11-25 13:10 iperdomo New Issue
2010-11-25 13:10 iperdomo Assigned To => iperdomo
2010-11-25 13:11 iperdomo Status new => scheduled
2010-11-25 13:11 iperdomo fix_in_branch => pi
2010-11-25 16:30 hgbot Checkin
2010-11-25 16:30 hgbot Note Added: 0032854
2010-11-25 16:32 hgbot Checkin
2010-11-25 16:32 hgbot Note Added: 0032855
2010-11-25 16:35 hgbot Checkin
2010-11-25 16:35 hgbot Note Added: 0032856
2010-11-25 16:37 hgbot Checkin
2010-11-25 16:37 hgbot Note Added: 0032857
2010-11-26 21:52 hgbot Checkin
2010-11-26 21:52 hgbot Note Added: 0032894
2010-11-29 08:28 iperdomo Relationship added depends on 0015325
2010-12-02 10:57 mtaal Status scheduled => resolved
2010-12-02 10:57 mtaal Fixed in SCM revision => pi
2010-12-02 10:57 mtaal Resolution open => fixed
2010-12-02 10:57 mtaal Note Added: 0032999
2010-12-02 10:57 mtaal Status resolved => closed
2010-12-09 11:47 iperdomo Relationship added related to 0015380
2010-12-09 16:08 anonymous sf_bug_id 0 => 3133574
2011-03-04 15:18 hgbot Checkin
2011-03-04 15:18 hgbot Note Added: 0034565


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker